{
    name: "Berry Juice",
    spritenum: 22,
    fling: {
        basePower: 30
    },
    onUpdate(pokemon) {
        if (pokemon.hp <= pokemon.maxhp / 2) {
            let healAmount = 20;
            if (pokemon.species.name === 'Shuckle') {
                healAmount = Math.floor(pokemon.maxhp / 2);
            }
            if (this.runEvent("TryHeal", pokemon, null, this.effect, healAmount) && pokemon.useItem()) {
                this.heal(healAmount);
            }
        }
    },
    num: 43,
    gen: 2,
    isNonstandard: "Past"
}
